This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 620559 - Unable to use Virtual Fat driver in QEMU
Unable to use Virtual Fat driver in QEMU
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 16:45 EDT by Ruben Kerkhof
Modified: 2012-06-07 09:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 09:45:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2010-08-02 16:45:27 EDT
Description of problem:

commit e7c78b0a94a2c67ff7947a205100ed544bd8fab3 introduced the virtual FAT block device driver. I tried to define it according to the example in the commit log:

        <disk type='dir' device='floppy'>
          <source dir='/tmp/test'/>
          <target dev='fda' bus='fdc'/>
          <readonly/>
        </disk>

But libvirt returns:
libvir: Storage error : cannot read header '/tmp/test': Is a directory

Version-Release number of selected component (if applicable):

libvirt-0.8.2-3.fc14


Additional info:

I tried to use vfat with qemu-kvm directly.

qemu-kvm 0.12.3 fails:

qemu-kvm  -boot a -m 512 -vga std -vnc 0.0.0.0:7 -drive file=fat:/tmp/test,if=floppy,id=drive-fdc0-0-0,format=raw
qemu: could not open disk image fat:/tmp/test: No such file or directory

but the latest qemu-kvm from git works (commit 01ac6428a04576ae6f84f07d82c98da304b9ac77)
Comment 1 Fedora Admin XMLRPC Client 2011-09-22 13:50:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:52:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:58:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 14:30:47 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 14:34:25 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 14:40:54 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 14:51:59 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Cole Robinson 2012-06-07 09:45:09 EDT
This should be fixed in all F15+

Note You need to log in before you can comment on or make changes to this bug.